# PSF-LoginServer - master - net.psforever.objects.avatar.Avatars
PSF - LoginServer - master - net.psforever.objects.avatar.Avatars
Keywords: PSF LoginServer master net.psforever.objects.avatar.Avatars

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package avatar
  Definition Classes
    objects
- Avatar
- Avatars
- BattleRank
- Certification
- CommandRank
- CorpseControl
- Cosmetic
- DeployableToolbox
- FirstTimeEvents
- Implant
- LoadoutManager
- PlayerControl
- SpecialCarry

o

net.psforever.objects.avatar

# Avatars

###

#### object Avatars extends Enumeration

An `Enumeration` of all the avatar types in the game, paired with their object id as the `Value`. #121 is the most important.

Source
  Avatars.scala

Linear Supertypes
Enumeration, Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Avatars
2. Enumeration
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  class Val extends Value with Serializable
   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
2.  abstract class Value extends Ordered[Value] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
3.  class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetOps[Value, SortedSet, ValueSet] with StrictOptimizedIterableOps[Value, Set, ValueSet] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def Value(i: Int, name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
5.  final def Value(name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
6.  final def Value(i: Int): Value
   Attributes
     protected
   Definition Classes
     Enumeration
7.  final def Value: Value
   Attributes
     protected
   Definition Classes
     Enumeration
8.  final def apply(x: Int): Value
   Definition Classes
     Enumeration
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  final val avatar: Value
11.  final val avatar_bot: Value
12.  final val avatar_bot_agile: Value
13.  final val avatar_bot_agile_no_weapon: Value
14.  final val avatar_bot_max: Value
15.  final val avatar_bot_max_no_weapon: Value
16.  final val avatar_bot_reinforced: Value
17.  final val avatar_bot_reinforced_no_weapon: Value
18.  final val avatar_bot_standard: Value
19.  final val avatar_bot_standard_no_weapon: Value
20.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
21.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
23.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
24.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
25.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
26.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
27.  final def maxId: Int
    Definition Classes
      Enumeration
28.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
29.  var nextId: Int
    Attributes
      protected
    Definition Classes
      Enumeration
30.  var nextName: Iterator[String]
    Attributes
      protected
    Definition Classes
      Enumeration
31.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
32.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
33.  def readResolve(): AnyRef
    Attributes
      protected
    Definition Classes
      Enumeration
34.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
35.  def toString(): String
    Definition Classes
      Enumeration → AnyRef → Any
36.  def values: ValueSet
    Definition Classes
      Enumeration
37.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
38.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
39.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
40.  final def withName(s: String): Value
    Definition Classes
      Enumeration
41.  implicit object ValueOrdering extends Ordering[Value]
    Definition Classes
      Enumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped